local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")
local randomness = math.random()

function onTalk()
disableMovement()
if randomness >= 0.8 and randomness <= 1 then
coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("CelestialRunes","SenselessSpirit_SenselessZescent_CH1_GraveDialogA"))
elseif randomness >= 0.6 and randomness <= 0.8 then
coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("CelestialRunes","SenselessSpirit_SenselessZescent_CH1_GraveDialogB"))
elseif randomness >= 0.4 and randomness <= 0.6 then
coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("CelestialRunes","SenselessSpirit_SenselessZescent_CH1_GraveDialogC"))
elseif randomness >= 0.2 and randomness <= 0.4 then
coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("CelestialRunes","SenselessSpirit_SenselessZescent_CH1_GraveDialogD"))
elseif randomness >= 0.05 and randomness <= 0.2 then
coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("CelestialRunes","SenselessSpirit_SenselessZescent_CH1_GraveDialogE"))
else
say("SenselessSpirit_SenselessZescent_CH1_GraveDialogMemorial")
end
end

function onEnd()
enableMovement()
end
